<!-- eslint-disable no-irregular-whitespace -->
<template>
  <div>
    <b-row class="justify-content-center">
      <b-col lg="8">
        <h2 class="mt-5">
          Logo
        </h2>
        <p>
          Il est préférable d’utiliser le logo seul sans texte, éventuellement
          centré dans un cercle, ou bien avec le texte « Framasoft » attenant
          sur une même ligne.
          <br />
          Dans le cas où il y aurait un arrière-plan coloré, privilégiez la version monochrome.
        </p>
        <p>
        </p>
        <p class="mb-1">
          Les couleurs utilisées pour le logo sont :
        </p>
        <ul class="list-unstyled ml-4">
          <li><i class="fas fa-lg mb-1 fa-circle fc-f7"></i> le violet <code>#725794</code>,</li>
          <li><i class="fas fa-lg mb-1 fa-circle fc-o6"></i> l’orange <code>#dd6418</code>,</li>
          <li><i class="fas fa-lg mb-1 fa-circle fc-d9"></i> et le noir <code>#000000</code></li>
        </ul>
        <p>
          La police d’écriture utilisée pour « Framasoft » est <code>DejaVu Sans</code>
          et ne doit servir que dans ce contexte là.
        </p>
        <p>
          Les sources de ces images se trouvent dans
          <a :href="`${$t('/')}img/sources-logo-set.svg`">ce fichier <abbr>.svg</abbr></a>.
        </p>

        <b-row class="justify-content-around m-0">
          <b-col md="5">
            <img
              alt=""
              class="py-4 img-fluid"
              :src="`${$t('/')}img/logotxt.png`"
            />
          </b-col>
          <b-col md="5">
            <img
              alt=""
              class="py-4 img-fluid"
              :src="`${$t('/')}img/logotxt-black.png`"
            />
          </b-col>

          <b-col
            md="6"
            class="text-center mb-4 bg-white"
          >
            <img
              alt=""
              class="p-4 img-fluid"
              :src="`${$t('/')}img/biglogo.png`"
            />
          </b-col>

          <b-col
            md="6"
            class="text-center mb-4 monochrome"
          >
            <img
              alt=""
              class="p-4 img-fluid"
              :src="`${$t('/')}img/biglogo-black.png`"
            />
          </b-col>
        </b-row>

        <div class="alert alert-warning mb-4 small">
          <p class="float-right ml-4">
            <img
              class="fb-d1 rounded-circle"
              alt=""
              :src="`${$t('/')}img/pingouinVolantRefait.png`"
            />
          </p>
          <p>
            Historiquement, les <cite>Pingouins</cite> de {{ $t('people.lldemars') }}
            sont des manchots : ils ne peuvent pas voler.
          </p>
          <p class="mb-0">
            Ce manchot (<b><a
              href="http://tofz.org/?displaypic=.priv8%2Fpingouins%2F42.jpg&amp;non_lr="
            >planche originale</a></b>) a été choisi car il sort de sa condition en
            agissant différemment de ses congénères.
            Ça lui demande de gros efforts aussi bien physiquement que socialement
            et puis il a un air cinglé aussi… un peu comme bien des libristes 😉.
          </p>
        </div>
      </b-col>
    </b-row>
  </div>
</template>

<style lang="scss">
#graphics {
  .monochrome {
    background: var(--f-f7);

    img {
      filter: invert(100%);
    }
  }

  .alert-warning .rounded-circle {
    border: 4px solid var(--f-o3);
    width:6rem;
    height:6rem;
  }
}
</style>
